Foreman - Feature #3592

Lazily load compute resource VM details through AJAX for performance
11/06/2013 11:27 AM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Amos Benari

Category: Compute resources

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| recently enabled the vSphere compute resource and my (very unscientific) tests show load times of 926 ms for a bare metal host
and 3656 ms for a vSphere host. This is a bad user experience. Lazily loading the VM details tab through AJAX should help the
performance here.

Related issues:
Related to Foreman - Bug #5389: URL doesn't update correctly after creating a... Closed 04/22/2014

Associated revisions

Revision 88ed4900 - 04/04/2014 11:22 AM - Amos Benari

fixes #3592 lazy load vm with ajax in host show page.

History

#1 - 11/06/2013 04:18 PM - Ewoud Kohl van Wijngaarden

https://github.com/theforeman/foreman/pull/1004

#2 - 11/06/2013 04:20 PM - Dominic Cleal

- Status changed from New to Ready For Testing
- Assignee set to Amos Benari

- Target version set to 1.15.0

- translation missing: en.field_release set to 2

#3 - 11/12/2013 12:05 PM - Dominic Cleal
- Target version changed from 1.15.0 to 1.10.0

#4 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#5 - 01/09/2014 02:13 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#6 - 01/20/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#7 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#8 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0
https://github.com/theforeman/foreman/pull/1004

#9 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#10 - 04/02/2014 03:46 PM - Dominic Cleal

https://github.com/theforeman/foreman/pull/1349

#11 - 04/04/2014 11:02 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#12 - 04/04/2014 11:31 AM - Amos Benari
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 88ed4900e7f741640ab48954a3ba10de6a705926.

#13 - 04/25/2014 08:26 AM - Dominic Cleal
- Related to Bug #5389: URL doesn't update correctly after creating a new host added

05/11/2024

22


https://github.com/theforeman/foreman/pull/1349
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/88ed4900e7f741640ab48954a3ba10de6a705926
http://www.tcpdf.org

